Emacs UI: problems with packages on windows

12 May 2015 15:29 - Anna Maria Bigatti

Status: Closed Start date: 12 May 2015

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: EmacsUI Estimated time: 2.00 hours

Target version: CoCoA-5.1.3/4 Jan 2016 Spent time: 1.60 hour

Description

The recent installation of CoCoA for the Computer Algebra course in Genoa showed a problem on Windows in finding packages.

Related issues:

Related to CoCoA-5 - Bug #699: Emacs UI: set back "cocoa5-executable" to "CoC... Rejected 12 May 2015

History

#1 - 12 May 2015 15:36 - Anna Maria Bigatti

- % Done changed from 10 to 30

- Estimated time set to 2.00 h

The problem was solved and tested on a student's computer.

It is enough to add one line in the file <cocoadir>/emacs/cocoa5.el (this is a text file, so can be modified with any text-editor)

add:

             "--packageDir"  cocoa5-packages

before line 1279:

             "--prompt"      cocoa5-prompt

#2 - 18 May 2015 17:14 - Anna Maria Bigatti

- Status changed from In Progress to Resolved

- % Done changed from 30 to 70

John Abbott wrote:

From issue #699:

<quote>

JAA notes that Emacs lisp has the built-in variable system-type which gives information about which OS is running. This could be used to pass the

--packageDir parameter only on Microsoft systems.

</quote>

ok, I used it and it works as it should on my mac, E.Palezzato's linux, and on our virtual windows.

Need more Windows guinea-pigs...
#3 - 06 Aug 2015 10:55 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 70 to 90

#4 - 16 Feb 2016 15:59 - John Abbott

Can we close this issue?

#5 - 16 Feb 2016 17:50 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- Target version changed from CoCoA-5.1.2 summer 2015 to CoCoA-5.1.3/4 Jan 2016

- % Done changed from 90 to 100
